Skip to main content
GET
/
v1
/
analytics
/
clicks
Retrieve clicks
curl --request GET \
  --url https://linkryse.com/v1/analytics/clicks \
  --header 'Authorization: Bearer <token>'

Query Parameters

The ID of the link to retrieve analytics for.
domain
string
The domain to retrieve analytics for (e.g. dub.sh).
key
string
The key (slug) of the link.
interval
string
The interval for the analytics. values: 24h, 7d, 30d, 90d, ytd, all. Defaults to 30d.
groupBy
string
The parameter to group the analytics by. values: count, browser, os, referer, country, device. Defaults to count.

Response

Returns a JSON object containing the requested analytics data.

Code Examples

cURL
curl --request GET \
  --url 'https://linkryse.com/v1/analytics/clicks?linkId=link_123&interval=7d' \
  --header 'Authorization: Bearer sk_live_...'
Node.js
const analytics = await linkryse.analytics.clicks({
  linkId: 'link_123',
  interval: '7d'
});